=== debian/changelog ===
pingus (0.7.6-7) unstable; urgency=medium

  * Team upload.
  * Build with GCC-15 (Closes: #1097592)
  * Drop kfreebsd hybridation
  * Add debian/salsa-ci.yml
  * Bump Standards-Version to 4.7.2
  * Drop "Rules-Requires-Root: no", it is the new default
  * Update Miriam email address

  [ Patrice Duroux ]
  * Point to the new Pingus homepage. Closes: #1070248.

 -- Alexandre Detiste <tchet@debian.org>  Sat, 13 Sep 2025 11:02:10 +0200

pingus (0.7.6-6) unstable; urgency=medium

  * Team upload.

  [ Alexandre Detiste ]
  * fix FTBFS with GCC-13 (Closes: #1037820)
  * set Rules-Requires-Root: no

  [ Patrice Duroux ]
  * build with libboost>=1.69 (Closes: #1036716)

  [ lintian-brush ]
  * Trim trailing whitespace.
  * Strip unusual field spacing from debian/control.
  * Bump debhelper from old 10 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Fix day-of-week for changelog entries 0.7.1-1, 0.7.0-2, 0.2.1-1.

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Fri, 23 Jun 2023 21:05:26 +0200

pingus (0.7.6-5) unstable; urgency=medium

  * Team upload.
  * Added: scons-use-python3-print.patch. (Closes: #947574).
  * d/control: Update 'Vcs-Browser' and 'Vcs-Git'.
  * d/control: Update 'Standards-Version'.

 -- Phil Wyett <philip.wyett@kathenas.org>  Sun, 29 Dec 2019 09:24:25 +0000

pingus (0.7.6-4) unstable; urgency=medium

  * Team upload.
  * Switch to compat level 10.
  * Declare compliance with Debian Policy 4.1.0.
  * Drop deprecated menu file and xpm icon.
  * Add gcc7.patch and fix FTBFS with GCC 7. (Closes: #853614)

 -- Markus Koschany <apo@debian.org>  Thu, 24 Aug 2017 19:02:22 +0200

pingus (0.7.6-3) unstable; urgency=medium

  * Team upload.

  [ Bertrand Marc ]
  * Update watch file. Pingus has moved to Github.

  [ Markus Koschany ]
  * Declare compliance with Debian Policy 3.9.6.
  * Vcs-Browser: Use https.
  * debian/rules: Replace deprecated dh_clean -k with dh_prep.
  * Add more-updated-German-translation.patch.
    Thanks to Helge Kreutzmann for the report and patch. (Closes: #764522)
  * Fix Lintian warning copyright-refers-to-symlink-license.
  * pingus.desktop: Add keywords to desktop file.
  * Use compat level 9 and require debhelper >= 9.
  * pingus-data: Only suggest pingus and let people install the data without
    pulling in the engine as well.

 -- Markus Koschany <apo@debian.org>  Mon, 28 Dec 2015 00:37:46 +0100

pingus (0.7.6-2) unstable; urgency=low

  [ Bertrand Marc ]
  * Acknowledge NMU from Matej Vela, thanks for the quick fix.
  * Add a german comment in pingus.desktop, thanks to Ronny Standtke
    (Closes: #667673).
  * Update the german translation, thanks to Helge Kreutzmann (Closes: #722887).
  * Update standards version to 3.9.5: no changes needed.
  * Enable hardening build flags in debian/rules.
  * Add debian/patches/mutliple_buildflags.diff to allow multiple buildflags to
    be passed to scons.
  * Remove options.cache and its logic in debian/rules as scons doesn't use it.

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Jackson Doak ]
  * Move lintian overrides to debian/pingus-data.lintian-overrides

  [ Cyril Brulebois ]
  * Remove myself from Uploaders.

 -- Bertrand Marc <beberking@gmail.com>  Sun, 10 Aug 2014 14:59:56 +0200

pingus (0.7.6-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * 20_gcc_4.7: Fix build failure with GCC 4.7.  Closes: #673389.
    - src/pingus/pingus_main.cpp, src/pingus/screens/pingus_menu.cpp:
      Add whitespace between string literals and macros.

 -- Matej Vela <vela@debian.org>  Sat, 19 May 2012 11:21:44 +0100

pingus (0.7.6-1) unstable; urgency=low

  * New upstream release.

 -- Bertrand Marc <beberking@gmail.com>  Mon, 26 Dec 2011 16:35:39 +0100
