=== debian/control ===
Source: pingus
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Miriam Ruiz <miriam@debian.org>,
 Bertrand Marc <bmarc@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 libboost-dev,
 libphysfs-dev,
 libsdl-image1.2-dev,
 libsdl-mixer1.2-dev,
 libsdl1.2-dev,
 scons,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/games-team/pingus
Vcs-Git: https://salsa.debian.org/games-team/pingus.git
Homepage: https://pingus.github.io/

Package: pingus
Architecture: any
Depends:
 pingus-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Free Lemmings(TM) clone
 Pingus is a free clone of the popular Lemmings game.
 .
 Your goal is to guide a horde of penguins through a world full of obstacles
 and penguin traps to safety. Although penguins (unlike lemmings) are rather
 smart, they sometimes lack the necessary overview and now rely on you to
 save them.
 .
 This package contains the main program.

Package: pingus-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Suggests:
 pingus,
Description: Data files for pingus, a free Lemmings(TM) clone
 Pingus is a free clone of the popular Lemmings game.
 .
 Your goal is to guide a horde of penguins through a world full of obstacles
 and penguin traps to safety. Although penguins (unlike lemmings) are rather
 smart, they sometimes lack the necessary overview and now rely on you to
 save them.
 .
 This package contains the data files.
